[BUGFIX] RTE: JS exception regarding property disableStyleOnOptionLabel
[Packages/TYPO3.CMS.git] / .travis.yml
index 25ff7fe..23b3074 100644 (file)
@@ -4,6 +4,7 @@ php:
   - 5.3
   - 5.4
   - 5.5
+  - 5.6
 
 env:
   - DB=mysql
@@ -14,19 +15,20 @@ services:
 
 notifications:
   irc:
-    - "irc.freenode.net#typo3-cms"
-  email:
-    - typo3-team-core@lists.typo3.org
+    channels:
+      - "irc.freenode.net#typo3-cms"
+    on_success: change
+    on_failure: always
+    use_notice: true
+  slack:
+    rooms:
+      secure: a7c9Nw3KblUQsO4np7Sa685y7tqSJ5nSvzO8hnFjKEeQlgkbnC7Qq2TBvVSr92A1UMouL+6E9ngp3cb7rSYWsNKIaHn51CjhrvlfFElTZ0qd/jLVNDf1B765i0txiIZLLed0e3871/151xBgnggsXC4hcv4mPGc9g//ZPabp++E=
+    on_success: change
+    on_failure: always
 
 before_script:
   - >
-    if [[ "$TRAVIS_PHP_VERSION" != "5.5" ]]; then
-        echo "extension = apc.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini;
-        echo "apc.enable_cli=1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini;
-        echo "apc.slam_defense=0" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini;
-    fi
-  - >
-    if [[ "$TRAVIS_PHP_VERSION" != "5.5" ]]; then
+    if [[ "$TRAVIS_PHP_VERSION" = "5.3" || "$TRAVIS_PHP_VERSION" = "5.4" ]]; then
         pecl install igbinary > /dev/null;
     fi
   - echo "extension = memcache.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini
@@ -34,7 +36,6 @@ before_script:
   - sudo apt-get install parallel
   - composer self-update
   - composer --dev install
-  - mkdir -p uploads typo3temp typo3conf/ext
 
 script:
   - >
@@ -56,4 +57,4 @@ script:
             grep -v \"No syntax errors detected in\" /tmp/errors;
             exit 99;
         fi
-    "
\ No newline at end of file
+    "